#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMarketingMessageFlags {
    None = 0,
    HighPriority = 1,
    PlatformWindows = 2,
    PlatformMac = 4,
    PlatformLinux = 8,
}

impl EMarketingMessageFlags {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::HighPriority as i32 => Some(Self::HighPriority),
            x if x == Self::PlatformWindows as i32 => Some(Self::PlatformWindows),
            x if x == Self::PlatformMac as i32 => Some(Self::PlatformMac),
            x if x == Self::PlatformLinux as i32 => Some(Self::PlatformLinux),
            _ => None,
        }
    }
}
